Skip to content

Read a handoff booking receipt without calendar or contact data

GET
/v1/mobile/receptionist/handoffs/{handoff_id}/booking
curl --request GET \
--url https://api.vocapable.com/v1/mobile/receptionist/handoffs/example/booking \
--header 'Authorization: Bearer <token>'
handoff_id
required
Handoff Id
string

Successful Response

Media typeapplication/json
MobileHandoffBookingReceipt

A privacy-minimized receipt for one server-authorized handoff booking.

object
id
required
Id
string
handoff_id
required
Handoff Id
string
starts_at
required
Starts At
string format: date-time
ends_at
required
Ends At
string format: date-time
timezone
required
Timezone
string
status
required
Status
string
Allowed values: calendar_event_created appointment_materialized
appointment_id
Any of:
string
booked_at
required
Booked At
string format: date-time
materialized_at
Any of:
string format: date-time
Example
{
"status": "calendar_event_created"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}